Bug 1277726 - [abrt] rhythmbox: gtk_application_impl_before_emit(): rhythmbox killed by SIGSEGV
[abrt] rhythmbox: gtk_application_impl_before_emit(): rhythmbox killed by SIG...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:aee1f325588d71b686af8ebf49d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 17:43 EST by Philipp Gampe
Modified: 2016-12-20 10:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:20:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (65.62 KB, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: core_backtrace (2.87 KB, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: dso_list (28.63 KB, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: environ (1.83 KB, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: maps (123.18 KB, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: mountinfo (4.28 KB, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: open_fds (1.79 KB, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details
File: var_log_messages (1.51 KB, text/plain)
2015-11-03 17:43 EST, Philipp Gampe
no flags Details

  None (edit)
Description Philipp Gampe 2015-11-03 17:43:29 EST
Version-Release number of selected component:
rhythmbox-3.2.1-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: gtk_application_impl_before_emit
executable:     /usr/bin/rhythmbox
global_pid:     5483
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gtk_application_impl_before_emit at gtkapplicationimpl.c:83
 #1 g_application_impl_method_call at gapplicationimpl-dbus.c:194
 #2 call_in_idle_cb at gdbusconnection.c:4832
 #6 g_main_context_iteration at gmain.c:3901
 #7 g_application_run at gapplication.c:2331
 #8 rb_application_run at rb-application.c:646

Potential duplicate: bug 1224576
Comment 1 Philipp Gampe 2015-11-03 17:43:34 EST
Created attachment 1089259 [details]
File: backtrace
Comment 2 Philipp Gampe 2015-11-03 17:43:35 EST
Created attachment 1089260 [details]
File: cgroup
Comment 3 Philipp Gampe 2015-11-03 17:43:36 EST
Created attachment 1089261 [details]
File: core_backtrace
Comment 4 Philipp Gampe 2015-11-03 17:43:38 EST
Created attachment 1089262 [details]
File: dso_list
Comment 5 Philipp Gampe 2015-11-03 17:43:39 EST
Created attachment 1089263 [details]
File: environ
Comment 6 Philipp Gampe 2015-11-03 17:43:41 EST
Created attachment 1089264 [details]
File: exploitable
Comment 7 Philipp Gampe 2015-11-03 17:43:42 EST
Created attachment 1089265 [details]
File: limits
Comment 8 Philipp Gampe 2015-11-03 17:43:45 EST
Created attachment 1089266 [details]
File: maps
Comment 9 Philipp Gampe 2015-11-03 17:43:46 EST
Created attachment 1089267 [details]
File: mountinfo
Comment 10 Philipp Gampe 2015-11-03 17:43:48 EST
Created attachment 1089268 [details]
File: open_fds
Comment 11 Philipp Gampe 2015-11-03 17:43:49 EST
Created attachment 1089269 [details]
File: proc_pid_status
Comment 12 Philipp Gampe 2015-11-03 17:43:50 EST
Created attachment 1089270 [details]
File: var_log_messages
Comment 13 Dario Castellarin 2015-12-11 11:37:54 EST
Another user experienced a similar problem:

Reasons mya vary, usually it's enought to start a song, pause it for a while, then resume playing. Song wil stop after a few seconds and Rhythmbox will freeze. After killing it, the first attempt of re-opening it will fail (and produce the backtrace), then the second attempt will succeed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: gtk_application_impl_before_emit
executable:     /usr/bin/rhythmbox
global_pid:     5877
kernel:         4.2.6-301.fc23.x86_64
package:        rhythmbox-3.2.1-3.fc23
reason:         rhythmbox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Milan Bouchet-Valat 2016-01-20 08:07:54 EST
Another user experienced a similar problem:

Crashed on start.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: gtk_application_impl_before_emit
executable:     /usr/bin/rhythmbox
global_pid:     19925
kernel:         4.3.3-300.fc23.x86_64
package:        rhythmbox-3.2.1-5.fc23
reason:         rhythmbox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Milan Bouchet-Valat 2016-02-03 05:40:16 EST
Another user experienced a similar problem:

I tried closing Rhythmbox after it hung.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: gtk_application_impl_before_emit
executable:     /usr/bin/rhythmbox
global_pid:     464
kernel:         4.4.0-1.fc24.x86_64
package:        rhythmbox-3.2.1-5.fc23
reason:         rhythmbox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora Admin XMLRPC Client 2016-09-15 11:15:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2016-09-16 03:07:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora End Of Life 2016-11-24 08:02:59 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 10:20:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.